## cowsql 1.15.9

=== docs/requirements.txt ===
pillow
mock==1.0.1
alabaster>=0.7,<0.8,!=0.7.5
commonmark==0.9.1
recommonmark==0.5.0
sphinx<2
sphinx-rtd-theme<0.5
readthedocs-sphinx-ext<2.3
jinja2<3.1.0

## cowsql 1.15.3

=== debian/changelog ===
cowsql (1.15.3-1) unstable; urgency=medium

  * Initial release (closes: #1052536).

 -- Free Ekanayaka <freee@debian.org>  Fri, 13 Oct 2023 10:27:10 +0100

=== debian/control ===
Source: cowsql
Build-Depends: debhelper-compat (= 11), pkg-config, libuv1-dev (>= 1.8.0~), libraft-dev (>= 0.17), libsqlite3-dev (>= 3.22.0~)
Section: devel
Priority: optional
Maintainer: Free Ekanayaka <freee@debian.org>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/cowsql-team/cowsql
Vcs-Git: https://salsa.debian.org/cowsql-team/cowsql.git
Rules-Requires-Root: no
Homepage: https://github.com/cowsql/cowsql

Package: libcowsql0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: Embeddable, replicated and fault tolerant SQL engine - shared library
 Embeddable SQL database engine with high availability and automatic failover.
 .
 The cowsql library extends SQLite with a network protocol that can connect
 together various instances of your application and have them act as a
 highly-available cluster, with no dependency on external databases. The
 name "cowsql" loosely refers to the "pets vs. cattle" concept, since it's
 generaly fine to delete or rebuild a particular node of an application that
 uses cowsql for data storage.
 .
 This package contains the C library needed to run executables that use cowsql.

Package: libcowsql-dev
Section: libdevel
Architecture: any
Depends: libcowsql0 (= ${binary:Version}), libsqlite3-dev (>= 3.22.0~), ${misc:Depends}
Multi-Arch: same
Description: Embeddable, replicated and fault tolerant SQL engine - development files
 Embeddable SQL database engine with high availability and automatic failover.
 .
 The cowsql library extends SQLite with a network protocol that can connect
 together various instances of your application and have them act as a
 highly-available cluster, with no dependency on external databases. The
 name "cowsql" loosely refers to the "pets vs. cattle" concept, since it's
 generaly fine to delete or rebuild a particular node of an application that
 uses cowsql for data storage.
 .
 This package contains the development headers and library files needed to
 compile programs using cowsql.

## cowsql 1.15.4

=== debian/changelog ===
cowsql (1.15.4-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:56:38 +0000

cowsql (1.15.4-1ubuntu2) noble; urgency=medium

  * Disable flaky promotion test which passes or fails inconsistently across
    several architectures

 -- Dave Jones <dave.jones@canonical.com>  Tue, 26 Mar 2024 13:35:05 +0000

cowsql (1.15.4-1ubuntu1) noble; urgency=medium

  * d/p/time_t.patch: Work around time_t now being 64-bit on armhf
    (LP: #2059123)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 26 Mar 2024 11:16:38 +0000

cowsql (1.15.4-1build1) noble; urgency=medium

  * No-change rebuild against libuv1 t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 19:45:18 +0100

cowsql (1.15.4-1) unstable; urgency=medium

  * New upstream release
  * d/control: Bump build-dependency on libraft to version 0.20
  * d/control: Set debhelper-compat to 11 to build on older releases

 -- Free Ekanayaka <freee@debian.org>  Sun, 28 Dec 2023 22:10:32 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: cowsql
-Build-Depends: debhelper-compat (= 11), pkg-config, libuv1-dev (>= 1.8.0~), libraft-dev (>= 0.17), libsqlite3-dev (>= 3.22.0~)
+Build-Depends: debhelper-compat (= 11), pkg-config, libuv1-dev (>= 1.8.0~), libraft-dev (>= 0.20), libsqlite3-dev (>= 3.22.0~)
 Section: devel
 Priority: optional
-Maintainer: Free Ekanayaka <freee@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Free Ekanayaka <freee@debian.org>
+Uploaders: Mathias Gibbens <gibmat@debian.org>
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/cowsql-team/cowsql
 Vcs-Git: https://salsa.debian.org/cowsql-team/cowsql.git
@@ -22,7 +24,7 @@
  together various instances of your application and have them act as a
  highly-available cluster, with no dependency on external databases. The
  name "cowsql" loosely refers to the "pets vs. cattle" concept, since it's
- generaly fine to delete or rebuild a particular node of an application that
+ generally fine to delete or rebuild a particular node of an application that
  uses cowsql for data storage.
  .
  This package contains the C library needed to run executables that use cowsql.
@@ -39,7 +41,7 @@
  together various instances of your application and have them act as a
  highly-available cluster, with no dependency on external databases. The
  name "cowsql" loosely refers to the "pets vs. cattle" concept, since it's
- generaly fine to delete or rebuild a particular node of an application that
+ generally fine to delete or rebuild a particular node of an application that
  uses cowsql for data storage.
  .
  This package contains the development headers and library files needed to

## cowsql 1.15.6

=== debian/changelog ===
cowsql (1.15.6-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 03 May 2024 13:21:05 +0000

cowsql (1.15.6-1) unstable; urgency=medium

  * New upstream release (closes: #1067369).

 -- Free Ekanayaka <freee@debian.org>  Fri, 29 Mar 2024 10:35:43 +0000

## cowsql 1.15.7

=== debian/changelog ===
cowsql (1.15.7-1) unstable; urgency=medium

  * New upstream release (closes: #1091853).

 -- Free Ekanayaka <freee@debian.org>  Sat, 01 Feb 2025 10:24:31 +0000

## cowsql 1.15.8

=== debian/changelog ===
cowsql (1.15.8-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 18 Feb 2025 11:59:46 +0000

cowsql (1.15.8-1) unstable; urgency=medium

  * New upstream release

 -- Free Ekanayaka <freee@debian.org>  Sat, 02 Feb 2025 09:12:11 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
export DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
export DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
export DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

DEB_BUILD_MAINT_OPTIONS := hardening=+all
DPKG_EXPORT_BUILDFLAGS := 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

## cowsql 1.15.9

=== debian/changelog ===
cowsql (1.15.9-1) unstable; urgency=medium

  * New upstream release (Closes: #1111664)
  * d/control:
    - Update Standards-Version to 4.7.2 (no changes needed)
    - Update pkg-config -> pkgconf in Build-Depends
  * Update old FSF mailing address to website in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 21 Aug 2025 13:28:18 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: cowsql
-Build-Depends: debhelper-compat (= 11), pkg-config, libuv1-dev (>= 1.8.0~), libraft-dev (>= 0.20), libsqlite3-dev (>= 3.22.0~)
+Build-Depends: debhelper-compat (= 11), pkgconf, libuv1-dev (>= 1.8.0~), libraft-dev (>= 0.20), libsqlite3-dev (>= 3.22.0~)
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Free Ekanayaka <freee@debian.org>
+Maintainer: Free Ekanayaka <freee@debian.org>
 Uploaders: Mathias Gibbens <gibmat@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/cowsql-team/cowsql
 Vcs-Git: https://salsa.debian.org/cowsql-team/cowsql.git
 Rules-Requires-Root: no

=== debian/watch ===
version=4
  https://github.com/cowsql/cowsql/tags .*/v?(\d\S+)@ARCHIVE_EXT@
